unit Uhtmlabeldemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, htmltext, shellapi, {$IFDEF VER120} ImgList,{$ENDIF}
  {$IFDEF VER125} ImgList,{$ENDIF} htmlabel, ComCtrls;

type
  TForm1 = class(TForm)
    ImageList2: TImageList;
    Label1: TLabel;
    Label2: TLabel;
    mainlabel: THTMLabel;
    sublabel: THTMLabel;
    StatusBar1: TStatusBar;
    procedure mainlabelAnchorEnter(Sender: TObject; Anchor: String);
    procedure FormCreate(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure sublabelAnchorEnter(Sender: TObject; Anchor: String);
    procedure sublabelAnchorExit(Sender: TObject; Anchor: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.mainlabelAnchorEnter(Sender: TObject;
  Anchor: String);
begin
  sublabel.htmltext.clear;
  if anchor='hover' then sublabel.htmltext.Add('THTMLabel supports hovering by <U>underlining</U> or even changing <FONT bgcolor="clLime">background</FONT> and font <FONT color="clred"><B>color</B></FONT>');
  if anchor='blink' then sublabel.htmltext.Add('Text in THTMLabel can have a <B><SHAD>shadow</SHAD></B> with programmable shadow offset and color');
  if anchor='list'  then sublabel.htmltext.Add('Support for HTML lists makes building lists easy<BR><UL><LI>Item 1<LI>Item 2<UL><LI>Subitem 1<LI>Subitem 2</UL><LI>Item 3</UL>');
  if anchor='anchor'  then sublabel.htmltext.Add('Anchors to <A href="http://www.tmssoftware.com">websites</A>,<A href="mailto:info@tmssoftware.com">email</A>,<A href="ftp://ftp.borland.com">ftp</A>,<A href="file://c:\">folders</A> or custom actions are provided');
  if anchor='image'  then sublabel.htmltext.Add('Bitmaps and imagelist elements <IMG src="idx:1"> can be mixed <IMG src="idx:2"> with HTML formatted text');
  if anchor='paragraph' then sublabel.htmltext.Add('<BR>Paragraphs provide :<BR> <P align="left" bgcolor="clWhite"><B>left</B> alignment </P><P align="right" bgcolor="clYellow"><B>right</B> alignment</P><P align="center" bgcolor="clLime"> and <B>centered</B> alignment with background color</P>');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 sublabel.htmltext.Add('THTMLabel supports hovering by <U>underlining</U> or even changing <FONT bgcolor="clLime">background</FONT> and font <FONT color="clred"><B>color</B></FONT>');
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
 shellexecute(self.handle,'open',pchar(label2.caption),nil,nil,SW_NORMAL);
end;

procedure TForm1.sublabelAnchorEnter(Sender: TObject; Anchor: String);
begin
 statusbar1.simpletext:=anchor;
end;

procedure TForm1.sublabelAnchorExit(Sender: TObject; Anchor: String);
begin
 statusbar1.simpletext:='';
end;

end.
